Bug 782681 - CVE-2012-0056 kernel: proc: /proc/<pid>/mem mem_write insufficient permission checking [fedora-all]
Summary: CVE-2012-0056 kernel: proc: /proc/<pid>/mem mem_write insufficient permission...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2012-0056
TreeView+ depends on / blocked
 
Reported: 2012-01-18 07:09 UTC by Eugene Teo (Security Response)
Modified: 2012-01-24 19:58 UTC (History)
9 users (show)

Fixed In Version: kernel-2.6.41.10-3.fc15
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-24 07:56:29 UTC


Attachments (Terms of Use)

Description Eugene Teo (Security Response) 2012-01-18 07:09:22 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=782642

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

Comment 1 Josh Boyer 2012-01-18 15:03:56 UTC
This is fixed by upstream commit e268337dfe26dfc7efd422a804dbb27977a3cccc.  I'll backport that to all 3 branches later today.

Note: Fedora defaults to /proc/sys/kernel/randomize_va_space = 2, which makes this more difficult to exploit.

Comment 2 Josh Boyer 2012-01-18 15:12:26 UTC
Committed to all branches.

Comment 3 Fedora Update System 2012-01-23 18:32:02 UTC
kernel-3.2.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.2.1-3.fc16

Comment 4 Fedora Update System 2012-01-23 18:36:07 UTC
kernel-2.6.41.10-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.10-3.fc15

Comment 5 Eugene Teo (Security Response) 2012-01-24 01:40:38 UTC
Petr reported that the publicly available exploit works on Fedora using gpasswd.
https://bugzilla.redhat.com/show_bug.cgi?id=782642#c26

Comment 6 Fedora Update System 2012-01-24 01:42:42 UTC
Package kernel-2.6.41.10-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.41.10-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0861/kernel-2.6.41.10-3.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-01-24 07:56:29 UTC
kernel-3.2.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Josh Boyer 2012-01-24 11:50:05 UTC
(In reply to comment #5)
> Petr reported that the publicly available exploit works on Fedora using
> gpasswd.
> https://bugzilla.redhat.com/show_bug.cgi?id=782642#c26

Indeed.  That same exploit does not result in a root shell with the updates mentioned in comment #3 and comment #4

Comment 9 Fedora Update System 2012-01-24 19:58:00 UTC
kernel-2.6.41.10-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.